Module java.desktop
Package javax.swing.plaf.metal

## Class MetalInternalFrameUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.InternalFrameUI
    - - javax.swing.plaf.basic.BasicInternalFrameUI
      - - javax.swing.plaf.metal.MetalInternalFrameUI

-     public class MetalInternalFrameUI
      extends BasicInternalFrameUI

  Metal implementation of JInternalFrame.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicInternalFrameUI

      `BasicInternalFrameUI.BasicInternalFrameListener, BasicInternalFrameUI.BorderListener, BasicInternalFrameUI.ComponentHandler, BasicInternalFrameUI.GlassPaneDispatcher, BasicInternalFrameUI.InternalFrameLayout, BasicInternalFrameUI.InternalFramePropertyChangeListener`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static String` | `IS_PALETTE` | The property `JInternalFrame.isPalette`.

    - ### Fields inherited from class javax.swing.plaf.basic.BasicInternalFrameUI

      `borderListener, componentListener, eastPane, frame, glassPaneDispatcher, internalFrameLayout, northPane, openMenuKey, propertyChangeListener, southPane, titlePane, westPane`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetalInternalFrameUI​(JInternalFrame b)` | Constructs a new `MetalInternalFrameUI` instance.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected MouseInputAdapter` | `createBorderListener​(JInternalFrame w)` | Returns the `MouseInputAdapter` that will be installed on the TitlePane.
    `protected JComponent` | `createNorthPane​(JInternalFrame w)` | Creates the north pane.
    `static ComponentUI` | `createUI​(JComponent c)` | Constructs a new `MetalInternalFrameUI` instance.
    `protected void` | `installKeyboardActions​()` | Installs the keyboard actions.
    `protected void` | `installListeners​()` | Installs the listeners.
    `void` | `installUI​(JComponent c)` | Installs the UI.
    `void` | `setPalette​(boolean isPalette)` | If `isPalette` is `true`, sets palette border and title
    `protected void` | `uninstallComponents​()` | Uninstalls the components.
    `protected void` | `uninstallKeyboardActions​()` | Uninstalls the keyboard actions.
    `protected void` | `uninstallListeners​()` | Uninstalls the listeners.
    `void` | `uninstallUI​(JComponent c)` | Uninstalls the UI.

    - ### Methods inherited from class javax.swing.plaf.basic.BasicInternalFrameUI

      `activateFrame, closeFrame, createComponentListener, createDesktopManager, createEastPane, createGlassPaneDispatcher, createInternalFrameListener, createLayoutManager, createPropertyChangeListener, createSouthPane, createWestPane, deactivateFrame, deiconifyFrame, deinstallMouseHandlers, getDesktopManager, getEastPane, getMaximumSize, getMinimumSize, getNorthPane, getPreferredSize, getSouthPane, getWestPane, iconifyFrame, installComponents, installDefaults, installMouseHandlers, isKeyBindingActive, isKeyBindingRegistered, maximizeFrame, minimizeFrame, replacePane, setEastPane, setKeyBindingActive, setKeyBindingRegistered, setNorthPane, setSouthPane, setupMenuCloseKey, setupMenuOpenKey, setWestPane, uninstallDefaults`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, paint, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### IS_PALETTE

          protected static String IS_PALETTE

      The property `JInternalFrame.isPalette`.

  - ### Constructor Detail

    - #### MetalInternalFrameUI

          public MetalInternalFrameUI​(JInternalFrame b)

      Constructs a new `MetalInternalFrameUI` instance.
      Parameters:
        `b` - an internal frame

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI​(JComponent c)

      Constructs a new `MetalInternalFrameUI` instance.
      Parameters:
        `c` - a component
      Returns:
        a new `MetalInternalFrameUI` instance

    - #### installUI

          public void installUI​(JComponent c)

      Description copied from class: `BasicInternalFrameUI`
      Installs the UI.
      Overrides:
        `installUI` in class `BasicInternalFrameUI`
      Parameters:
        `c` - the component
      See Also:
        `ComponentUI.uninstallUI(javax.swing.JComponent)`, `JComponent.setUI(javax.swing.plaf.ComponentUI)`, `JComponent.updateUI()`

    - #### uninstallUI

          public void uninstallUI​(JComponent c)

      Description copied from class: `BasicInternalFrameUI`
      Uninstalls the UI.
      Overrides:
        `uninstallUI` in class `BasicInternalFrameUI`
      Parameters:
        `c` - the component
      See Also:
        `ComponentUI.installUI(javax.swing.JComponent)`, `JComponent.updateUI()`

    - #### installListeners

          protected void installListeners​()

      Description copied from class: `BasicInternalFrameUI`
      Installs the listeners.
      Overrides:
        `installListeners` in class `BasicInternalFrameUI`

    - #### uninstallListeners

          protected void uninstallListeners​()

      Description copied from class: `BasicInternalFrameUI`
      Uninstalls the listeners.
      Overrides:
        `uninstallListeners` in class `BasicInternalFrameUI`

    - #### installKeyboardActions

          protected void installKeyboardActions​()

      Description copied from class: `BasicInternalFrameUI`
      Installs the keyboard actions.
      Overrides:
        `installKeyboardActions` in class `BasicInternalFrameUI`

    - #### uninstallKeyboardActions

          protected void uninstallKeyboardActions​()

      Description copied from class: `BasicInternalFrameUI`
      Uninstalls the keyboard actions.
      Overrides:
        `uninstallKeyboardActions` in class `BasicInternalFrameUI`

    - #### uninstallComponents

          protected void uninstallComponents​()

      Description copied from class: `BasicInternalFrameUI`
      Uninstalls the components.
      Overrides:
        `uninstallComponents` in class `BasicInternalFrameUI`

    - #### createNorthPane

          protected JComponent createNorthPane​(JInternalFrame w)

      Description copied from class: `BasicInternalFrameUI`
      Creates the north pane.
      Overrides:
        `createNorthPane` in class `BasicInternalFrameUI`
      Parameters:
        `w` - the internal frame
      Returns:
        the north pane

    - #### setPalette

          public void setPalette​(boolean isPalette)

      If `isPalette` is `true`, sets palette border and title
      Parameters:
        `isPalette` - if `true`, sets palette border and title

    - #### createBorderListener

          protected MouseInputAdapter createBorderListener​(JInternalFrame w)

      Returns the `MouseInputAdapter` that will be installed on the TitlePane.
      Overrides:
        `createBorderListener` in class `BasicInternalFrameUI`
      Parameters:
        `w` - the `JInternalFrame`
      Returns:
        the `MouseInputAdapter` that will be installed on the TitlePane.
      Since:
        1.6